The BOOST_PP_LIST_REST_N macro expands to a list of all but the first count elements of a list.

#### Usage

BOOST_PP_LIST_REST_N(count, list)

#### Arguments

count
  The number of elements to remove from the beginning of list.
list
  The list from which the elements are extracted.

#### Remarks

This macro removes count elements from the beginning of list and returns the remainder as a list
Previously, this macro could not be used inside BOOST_PP_WHILE. There is no longer any such restriction. It is more efficient, however, to use BOOST_PP_LIST_REST_N_D in such a situation.

#### See Also

- BOOST_PP_LIST_REST_N_D

#### Requirements

Header: <boost/preprocessor/list/rest_n.hpp>

#### Sample Code

    #include <boost/preprocessor/list/rest_n.hpp>

    #define LIST (a, (b, (c, (d, BOOST_PP_NIL))))

    BOOST_PP_LIST_REST_N(2, LIST) // expands to (c, (d, BOOST_PP_NIL))